@import "@assets/themes/themify.utils.scss";
@import "~/themes.scss";

.Slider {
  position: relative;
  width: 100%;
  height: calc(40px - 4px);
  border-radius: 4px;

  .SliderRail {
    position: absolute;
    top: -2px;
    left: -2px;
    height: calc(100% + 4px);
    width: calc(100% + 4px);
    background-color: transparent;
  }

  .SliderTrack {
    height: 100%;
    border-radius: 4px;
  }
}

@include themify("Slider", $themes) {
  &.Slider {
    border: 2px solid themed("field-background-editable");
    background-color: themed("field-background-editable");
    cursor: pointer;

    &:hover,
    &:focus-within {
      border: 2px solid themed("field-focused");
    }

    &-disabled,
    &-disabled:hover {
      color: themed("field-text-disabled");
      background-color: themed("field-background-disabled");
      border-color: themed("field-background-disabled");
      cursor: not-allowed;

      .SliderTrack {
        background-color: themed("field-text-disabled");
      }

      .SliderRail {
        background-color: themed("field-background-disabled");
      }
    }

    &-danger {
      border: 2px solid themed("field-danger");

      &:hover,
      &:focus-within {
        border: 2px solid themed("field-danger");
      }

      .SliderTrack {
        background-color: themed("field-danger");
      }
    }

    &-busy {
      border: 2px solid themed("field-busy");

      &:hover,
      &:focus-within {
        border: 2px solid themed("field-busy");
      }

      .SliderTrack {
        background-color: themed("field-busy");
      }
    }
  }

  .SliderTrack {
    background-color: themed("field-focused");
  }
}
